Subject: [netlmm] Re: [Int-area] IPv6 addressing model, per-MN subnet prefix, and broadcast domain

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 09 Aug 2006 11:30:38 +0200

[INT-area cut]

Narayanan, Vidya wrote:
> Yes. If the scope is set to cellular networks, that would be fine. It is
> the larger generalization to the rest of the models that IETF generally
> caters for that I see some issues with.

I think this is important.  Both the kiss principle expressed in quoted 
message below and the per-need generalization expressed above.

Overall, the netlmm need has been described in terms of both 
point-to-point links (potential 802.16e-like deployment) and in terms of 
shared links (wifi access points).  The MN-AR interface document talks 
mostly SeND, SLAAC, DHCP which are mostly models for shared links.  If 
that document needs to accomodate point-to-point links too, it should 
talk also about IPv6 PPP (IPv6CP RFC2472), Radius, Diameter.

So, if we know for what kinds of links netlmm is for, we can at least 
improve the MN-AR interface draft.  To my understanding, it's not 
sufficient to just say point-to-point and shared media are just the 
same.  Protocols running over each are really different.

My two cents worth,

Alex

>> -----Original Message-----
>> From: Jari Arkko [mailto:[email-masked]] 
>> Sent: Tuesday, August 08, 2006 2:55 PM
>> To: Narayanan, Vidya; James Kempf
>> Cc: INT Area
>> Subject: Re: [Int-area] IPv6 addressing model, per-MN subnet 
>> prefix, and broadcast domain
>>
>> Vidya, James,
>>
>> This gets me back to where Julien started this thread --- 
>> whether it makes sense to have a link local scope larger than 
>> the per node global prefix scope.
>>
>> We have talked about whether that breaks the addressing model 
>> or not. (There may also be other technical issues to discuss. 
>> What happens to link local communications when you move, for 
>> instance?)
>>
>> But we should also talk about what the need is. One of the 
>> potential targets for the NETLMM work is specific cellular 
>> networks. If these networks employ p2p links, per node 
>> prefixes, and generally do not use shared media services, the 
>> question is if the WG wants to spend time designing something 
>> that goes beyond this. Keep it simple unless you have a reason not to.
>>
>> --Jari
>>
>> Narayanan, Vidya wrote:
>>
>>> I don't believe that cellular type systems use any shared media 
>>> functionality - they've already gone down to the path of p2p 
>> links for 
>>> various reasons. As I already said in a few of my earlier 
>> emails, the 
>>> prefix-per-MN model is inline with the cellular system operation.
>>>  
>>>
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/int-area
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Julien Laganier <[email-masked]>
Date: Wed, 9 Aug 2006 11:44:17 +0200

Hi Alex,

On Wednesday 09 August 2006 11:30, Alexandru Petrescu wrote:
> [...]
> point-to-point links (potential 802.16e-like deployment) and in
> terms of shared links (wifi access points).  The MN-AR interface
> document talks mostly SeND, SLAAC, DHCP which are mostly models for
> shared links.  If that document needs to accomodate point-to-point
> links too, it should talk also about IPv6 PPP (IPv6CP RFC2472),
> Radius, Diameter.

Yes I agree. Actually writing down a section describing MN-AR 
interface bindings for IPv6CP has been on my TODO list for a 
while :-) 

Hopefully next revision will have new text for it.

Best,

--julien